Package skyview.vo

# Class CatalogPostProcessor

java.lang.Object
skyview.process.Processor
skyview.vo.CatalogPostProcessor

All Implemented Interfaces:
  `Serializable`, `Component`

public class CatalogPostProcessor extends Processor
The CatalogPostProcessor is called to finish processing for catalog requests. It simply finds the last CatalogProcessor and invokes appropriate methods there.

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`CatalogPostProcessor()`

## Method Summary

Modifier and Type
Method
Description
`String`
`getDescription()`
Get the description of this component.
`String`
`getName()`
Get the name of this component.
`void`
`process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)`
Perform the processing task associated with this object.
`void`
`updateHeader(nom.tam.fits.Header header)`
Update the FITS header to indicate what processing was done.
`boolean`
`updatesOutput()`
Does this processor actually modify the output array?

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CatalogPostProcessor

public CatalogPostProcessor()

## Method Details

### getName

public String getName()
Description copied from interface: `Component`
Get the name of this component.

### updatesOutput

public boolean updatesOutput()
Description copied from class: `Processor`
Does this processor actually modify the output array?

Specified by:
  `updatesOutput` in class `Processor`

### getDescription

public String getDescription()
Description copied from interface: `Component`
Get the description of this component.

### process

public void process(Image[] inputs, Image output, int[] source, Sampler samp, DepthSampler dsamp)
Perform the processing task associated with this object.

Specified by:
  `process` in class `Processor`
Parameters:
  `inputs` - The array of input survey images.
  `output` - The output user image
  `source` - An array giving the source image for each output pixel.
  `samp` - The sampler object used in processing.
  `dsamp` - The sampler in the energy dimension (often null).

### updateHeader

public void updateHeader(nom.tam.fits.Header header)
Update the FITS header to indicate what processing was done.

Specified by:
  `updateHeader` in class `Processor`